Ulfius: _u_instance Struct Reference

Ulfius HTTP Framework for REST Applications in C

Data Fields
_u_instance Struct Reference
Structures

Contains the needed data for an ulfius instance to work. More...

`#include <ulfius.h>`

Collaboration diagram for _u_instance:
[legend]

## Data Fields
struct MHD_Daemon * | mhd_daemon
int | status
unsigned int | port
struct sockaddr_in * | bind_address
struct sockaddr_in6 * | bind_address6
unsigned int | timeout
int | nb_endpoints
char * | default_auth_realm
struct _u_endpoint * | endpoint_list
struct _u_endpoint * | default_endpoint
struct _u_map * | default_headers
size_t | max_post_param_size
size_t | max_post_body_size
void * | websocket_handler
int(* | file_upload_callback )(const struct _u_request *request, const char *key, const char *filename, const char *content_type, const char *transfer_encoding, const char *data, uint64_t off, size_t size, void *cls)
void * | file_upload_cls
int | mhd_response_copy_data
int | check_utf8
int | use_client_cert_auth
int | allowed_post_processor

## Detailed Description

Contains the needed data for an ulfius instance to work.

## Field Documentation

## ◆ mhd_daemon

struct MHD_Daemon* _u_instance::mhd_daemon

## ◆ status

int _u_instance::status

## ◆ port

unsigned int _u_instance::port

## ◆ bind_address

struct sockaddr_in* _u_instance::bind_address

## ◆ bind_address6

struct sockaddr_in6* _u_instance::bind_address6

## ◆ timeout

unsigned int _u_instance::timeout

## ◆ nb_endpoints

int _u_instance::nb_endpoints

## ◆ default_auth_realm

char* _u_instance::default_auth_realm

## ◆ endpoint_list

struct _u_endpoint* _u_instance::endpoint_list

## ◆ default_endpoint

struct _u_endpoint* _u_instance::default_endpoint

## ◆ default_headers

struct _u_map* _u_instance::default_headers

## ◆ max_post_param_size

size_t _u_instance::max_post_param_size

## ◆ max_post_body_size

size_t _u_instance::max_post_body_size

## ◆ websocket_handler

void* _u_instance::websocket_handler

## ◆ file_upload_callback

int(* _u_instance::file_upload_callback) (const struct _u_request *request, const char *key, const char *filename, const char *content_type, const char *transfer_encoding, const char *data, uint64_t off, size_t size, void *cls)

## ◆ file_upload_cls

void* _u_instance::file_upload_cls

## ◆ mhd_response_copy_data

int _u_instance::mhd_response_copy_data

## ◆ check_utf8

int _u_instance::check_utf8

## ◆ use_client_cert_auth

int _u_instance::use_client_cert_auth

## ◆ allowed_post_processor

int _u_instance::allowed_post_processor

The documentation for this struct was generated from the following file:

- include/ulfius.h